sabato, Aprile 13, 2024

IPFire 2.27: rilasciato update con blocco degli spammer di default – Novità sull’aggiornamento di Linux

**IPFIRE 2.27: IL NUOVO AGGIORNAMENTO PER Linux**

Lo sviluppatore di IPFire, Michael Tremer, ha annunciato il rilascio di IPFire 2.27 Core Update 182. Si tratta del primo aggiornamento nel 2024 per questa distribuzione Linux firewall open source sviluppata per router e firewall.

IPFire 2.27 Core Update 182 è dotato di un bootloader GRUB aggiornato alla versione 2.12 RC1 e di un pacchetto di certificati CA aggiornato. Inoltre, introdurrà una nuova modifica nella policy firewall predefinita per bloccare il traffico SMTP in uscita dalle reti interne per impostazione predefinita. Tale modifica blocca tutti gli spammer di Posta Elettronica.

Tuttavia, ciò potrebbe causare l’inserimento nella blacklist delle installazioni IPFire e causare problemi agli utenti quando tentano di accedere all’online banking. La recente modifica verrà applicata solo alle nuove installazioni di IPFire. Le installazioni esistenti continueranno a essere interessate da questo problema a meno che non vengano bloccate manualmente le connessioni in uscita sulla porta 25 (TCP).

**IPFIRE 2.27: LE ALTRE NOVITÀ DELL’AGGIORNAMENTO PER LINUX**

La versione IPFire 2.27 Core Update 182 aggiorna anche una direttiva Tor deprecata che veniva utilizzata per registrare un messaggio di avviso e i pacchetti client/server Tor alla versione 0.4.8.9 per la navigazione anonima. Inoltre, sono stati aggiornati anche molti altri pacchetti, inclusi dhcpcd 10.0.4, elfutils 0.190, gawk 5.3.0, harfbuzz 8.2.2, iproute2 6.6.0, libsodium 1.0.19, jq 1.7, linux-firmware 20231114, Lua 5.4.6 , man 2.12.0, mcelog 196, mdns-repeater 1.11, Meson 1.2.3, OpenSSH 9.5p1, QPDF 11.6.1, SDL2 2.18.5, shadow 4.14.2, SQLite 3.44.1, Squid 6.5, strongSwan 5.9.12, sudo 1.9.15p2, Texinfo 7.1, unbound 1.19.0, usbutils 017, xfsprogs 6.5.0 e XZ Utils 5.4.5.

Da notare che anche diversi componenti aggiuntivi hanno ricevuto versioni aggiornate in IPFire 2.27 Core Update 182. Questi includono ALSA 1.2.10, ClamAV 1.2.1, D-Bus 1.14.10, Git 2.42.1, Ghostscript 10.02.1, minicom 2.9, minidlna 1.3.3, MPD 0.23.14, dado 2.8.1, P11-Kit 0.25.2, Postfix 3.8.3, QEMU 8.1.2, spectre-meltdown-checker 0.46 e strace 6.6.

ARTICOLI COLLEGATI:

ULTIMI ARTICOLI: